Bug 904120 (CVE-2013-0235)

Summary: CVE-2013-0235 wordpress: Server-side request forgery and remote port scanning using pingbacks
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: fedora, limburgher, mcepl, vdanen
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130124,reported=20130125,source=oss-security,cvss2=5.8/AV:N/AC:M/Au:N/C:P/I:P/A:N,fedora-all/wordpress=affected,epel-all/wordpress=affected
Fixed In Version: WordPress 3.5.1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 904124, 904125    
Bug Blocks:    

Description Jan Lieskovsky 2013-01-25 09:00:38 EST
From WordPress upstream v3.5.1 advisory [1]:
* A server-side request forgery vulnerability and remote port scanning using pingbacks. This vulnerability, which could potentially be used to expose information and compromise a site, affects all previous WordPress versions. This was fixed by the WordPress security team. We’d like to thank security researchers Gennady Kovshenin and Ryan Dewhurst for reviewing our work.

References:
[1] http://wordpress.org/news/2013/01/wordpress-3-5-1/
[2] http://www.openwall.com/lists/oss-security/2013/01/25/7
Comment 1 Jan Lieskovsky 2013-01-25 09:03:42 EST
This issue affects the versions of the wordpress package, as shipped with Fedora release of 16, 17, and 18. Please schedule an update.

--

This issue affects the versions of the wordpress package, as shipped with Fedora EPEL 5 and Fedora EPEL 6. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-01-25 09:10:12 EST
Created wordpress tracking bugs for this issue

Affects: fedora-all [bug 904124]
Affects: epel-all [bug 904125]
Comment 3 Jan Lieskovsky 2013-01-28 04:29:13 EST
*** Bug 904276 has been marked as a duplicate of this bug. ***
Comment 4 Jan Lieskovsky 2013-01-29 05:09:59 EST
The CVE identifier of CVE-2013-0235 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2013/01/29/7
Comment 6 Fedora Update System 2013-02-09 23:25:36 EST
wordpress-3.5.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-02-09 23:44:35 EST
wordpress-3.5.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-02-27 13:01:40 EST
wordpress-3.5.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-02-27 13:05:14 EST
wordpress-3.5.1-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.